scala.tools.nsc.Global

# GlobalPhase

#### abstract class GlobalPhase extends Phase

Source
  Global.scala

Linear Supertypes
reflect.internal.Phase, AnyRef, Any
Known Subclasses
AsmPhase, BCodePhase, ClosureEliminationPhase, ConstantOptimizationPhase, DeadCodeEliminationPhase, ICodePhase, ICodePhase, InlineExceptionHandlersPhase, InliningPhase, ParserPhase, Phase, Phase, Phase, Phase, PicklePhase, SkipPhase, SpecializationPhase, StdPhase
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GlobalPhase
2. Phase
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GlobalPhase(prev: Phase)

### Type Members

1. #### type Id = Int

   Definition Classes
     Phase

### Abstract Value Members

1. #### abstract def apply(unit: Global.CompilationUnit): Unit

2. #### abstract def name: String

   Definition Classes
     Phase

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GlobalPhase to any2stringadd[GlobalPhase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GlobalPhase, B)

   Implicit information
     This member is added by an implicit conversion from GlobalPhase to ArrowAssoc[GlobalPhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def applyPhase(unit: Global.CompilationUnit): Unit

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def cancelled(unit: Global.CompilationUnit): Boolean

   Is current phase cancelled on this unit?

9. #### def checkable: Boolean

   Definition Classes
     Phase

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def description: String

    Definition Classes
      Phase

12. #### def ensuring(cond: (GlobalPhase) ⇒ Boolean, msg: ⇒ Any): GlobalPhase

    Implicit information
      This member is added by an implicit conversion from GlobalPhase to Ensuring[GlobalPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (GlobalPhase) ⇒ Boolean): GlobalPhase

    Implicit information
      This member is added by an implicit conversion from GlobalPhase to Ensuring[GlobalPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): GlobalPhase

    Implicit information
      This member is added by an implicit conversion from GlobalPhase to Ensuring[GlobalPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): GlobalPhase

    Implicit information
      This member is added by an implicit conversion from GlobalPhase to Ensuring[GlobalPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(other: Any): Boolean

    Definition Classes
      Phase → AnyRef → Any

18. #### def erasedTypes: Boolean

    Definition Classes
      GlobalPhase → Phase

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def flagMask: Long

    Definition Classes
      Phase

21. #### def flatClasses: Boolean

    Definition Classes
      GlobalPhase → Phase

22. #### val fmask: Long

    Definition Classes
      Phase

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from GlobalPhase to StringFormat[GlobalPhase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hasNext: Boolean

    Definition Classes
      Phase

26. #### def hashCode(): Int

    Definition Classes
      Phase → AnyRef → Any

27. #### val id: Id

    Definition Classes
      Phase

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### def iterator: collection.Iterator[reflect.internal.Phase]

    Definition Classes
      Phase

30. #### def keepsTypeParams: Boolean

    Definition Classes
      Phase

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### def newFlags: Long

    Definition Classes
      Phase

33. #### def next: reflect.internal.Phase

    Definition Classes
      Phase

34. #### def nextFlags: Long

    Definition Classes
      Phase

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### val prev: reflect.internal.Phase

    Definition Classes
      Phase

38. #### def refChecked: Boolean

    Definition Classes
      GlobalPhase → Phase

39. #### def run(): Unit

    Definition Classes
      GlobalPhase → Phase

40. #### def specialized: Boolean

    Definition Classes
      GlobalPhase → Phase

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Definition Classes
      Phase → AnyRef → Any

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def withCurrentUnit(unit: Global.CompilationUnit)(task: ⇒ Unit): Unit

47. #### def →[B](y: B): (GlobalPhase, B)

    Implicit information
      This member is added by an implicit conversion from GlobalPhase to ArrowAssoc[GlobalPhase] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from reflect.internal.Phase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from GlobalPhase to any2stringadd[GlobalPhase]

### Inherited by implicit conversion StringFormat from GlobalPhase to StringFormat[GlobalPhase]

### Inherited by implicit conversion Ensuring from GlobalPhase to Ensuring[GlobalPhase]

### Inherited by implicit conversion ArrowAssoc from GlobalPhase to ArrowAssoc[GlobalPhase]

### Ungrouped